# Type alias IpfsFileStats

IpfsFileStats: {
blocks?: number;
size?: number | bigint;
sizeLocal?: number | bigint;
type: "file" | "directory" | "raw";
}

#### Type declaration

- ##### `Optional` blocks?: number

- ##### `Optional` size?: number | bigint

- ##### `Optional` sizeLocal?: number | bigint

- ##### type: "file" | "directory" | "raw"

- Defined in work/deeplinks/deeplinks/imports/cyber/ipfs/ipfs.ts:14